//Ex6_5.cpp
#include "iostream" 
using namespace std;
class Circle
{private: 
   double x,y,r,s; 
 public: 
   Circle()   //创建p时使用
	{ }
   Circle(double x1,double y1,double r1)  //普通构造函数,创建p1、p2时使用
	{x=x1;y=y1;r=r1; }
   Circle(Circle &p)    //拷贝初始化构造函数,创建p3时使用
	{x=p.x;y=p.y,r=p.r;
     cout<<"build a new object,constructor called."<<endl;}
   double getr()   //获取圆的半径
	{return r;}
   void dispaly()   //显示圆的信息
	{cout<<"O("<<x<<","<<y<<"),R-"<<r<<endl;}
};
Circle max(Circle p1,Circle p2)   //该函数为非成员函数
{if(p1.getr()>p2.getr()) return(p1);
 else return(p2);}
void main()
{Circle p1(0,0,3),p2(1,2,5),p;
 p1.dispaly();
 p2.dispaly();
 p=max(p1,p2);
 Circle p3(p);
 p3.dispaly();
}
